---
schema_version: "1"
id: 3339861e28aef3562560174683417d7736e2fc970af30280695457b89a99efd8
title: Deploy Data Kit Components by Using Deploy Data Kit Components Flow
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-actions-custom-deploy-datakit.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-actions-custom-deploy-datakit.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 847536c13eac968d8d65fbe393bd222a77cfb6618939a47a4f9e7d590be13c1e
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Deploy Data Kit Components by Using Deploy Data Kit Components Flow

Deploys data kit components sequentially in one call. The response body contains the Flow_InterviewGuid. This flow is available by using the REST API version 61.0 and later.

## URI

`/services/data/v61.0/actions/custom/flow/sfdatakit__DeployDataKitComponents`

## Formats

JSON, XML

## HTTP Methods

POST

## Authentication

`Authorization: Bearer token`

## Properties

||||
|-|-|-|
|Name|Type|Description|
|`dataKitComponentsInput`|Array of `sfdatakit__DeployComponentInput`|Required. A collection of data kit components to deploy. The collection list contains the payload details about the components.|
|`dataKitNameInput`|Text|Required. The data kit name that contains the components.|
|`dataKitDataSpaceInput`|Text|Optional. The name of the data space to deploy the data kit. If a data space isn’t defined, the system deploys the components in the default data space.|

## Example

This example request triggers the Deployed Data Kit Components flow to deploy the data stream bundle, data lake objects, and data transforms components from the MyTestDatakit data kit.

**Example Request**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/actions/custom/flow/sfdatakit__DeployDataKitComponents 
```

**Example Request Body**

```nolang
{
  "inputs": [
    {
      "dataKitComponentsInput": [
        {
          "componentType": "DataStreamBundle",
          "bundleConfig": {
            "connectorType": "CRM",
            "bundleName": "CRMBundleTest",
            "forceNoRefresh": true,
            "bundleCRMConfig": {
              "orgId": "00DU200000051Q5"
            }
          }
        },
        {
          "componentType": "DataLakeObject",
          "dloConfig": {
            "dataSourceObjectDevName": "Account_A_New_DLO",
            "apiName": "Account_A_New_DLO",
            "label": "Account A New DLO"
          }
        },
        {
          "componentType": "DataLakeObject",
          "dloConfig": {
            "dataSourceObjectDevName": "Account_P_New_DLO",
            "apiName": "Account_P_New_DLO",
            "label": "Account P New DLO"
          }
        },
        {
          "componentType": "DataTransform",
          "dataTransformConfig": {
            "dataTransformType": "BATCH",
            "dataTransformDevName": "BatchTransformAccount",
            "apiName": "BatchTransformAccount",
            "label": "BatchTransformAccount"
          }
        }
      ],
      "dataKitNameInput": "MyTestDatakit",
      "dataKitDataSpaceInput": "default"
    }
  ]
}
```

**Example Response Body**

```nolang
{
        "actionName": "sfdatakit__DeployDataKitComponents",
        "errors": null,
        "invocationId": null,
        "isSuccess": true,
        "outputValues": {
            "Flow__InterviewGuid": "43c0ccb801784ff02fa0c8a1919b1877f5-605b",
            "Flow__InterviewStatus": "Waiting"
        },
        "sortOrder": -1,
        "version": 1
    }
```

